org.eclipse.ecf.provider.filetransfer.browse

## Class URLRemoteFileAttributes

- java.lang.Object
- - org.eclipse.ecf.provider.filetransfer.browse.URLRemoteFileAttributes

All Implemented Interfaces:
  IRemoteFileAttributes

    public class URLRemoteFileAttributes
    extends Object
    implements IRemoteFileAttributes

### Field Summary

### Fields inherited from interface org.eclipse.ecf.filetransfer.IRemoteFileAttributes

`ARCHIVE_ATTRIBUTE, EXEC_ATTRIBUTE, HIDDEN_ATTRIBUTE, READ_ATTRIBUTE, SYMLINK_ATTRIBUTE, SYMLINK_TARGET_ATTRIBUTE, WRITE_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`URLRemoteFileAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAttribute(String key)` Get file attribute with given key.
`Iterator` `getAttributeKeys()` Get all of the attribute keys in this map of file attributes.
`void` `setAttribute(String key, String value)` Set a given attribute value in this remote file attributes.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### URLRemoteFileAttributes

    public URLRemoteFileAttributes()

### Method Detail

#### getAttribute

    public String getAttribute(String key)

Description copied from interface: `IRemoteFileAttributes`
Get file attribute with given key. Returns `null` if attribute not in this map of attributes.

Specified by:
  `getAttribute` in interface `IRemoteFileAttributes`
Parameters:
  `key` - to use to find the given attribute. Must not be `null`.
Returns:
  value of attribute. `null` if not found.

#### getAttributeKeys

    public Iterator getAttributeKeys()

Description copied from interface: `IRemoteFileAttributes`
Get all of the attribute keys in this map of file attributes.

Specified by:
  `getAttributeKeys` in interface `IRemoteFileAttributes`
Returns:
  Iterator of the attribute keys for this map. Will not return `null`.

#### setAttribute

    public void setAttribute(String key,
                             String value)

Description copied from interface: `IRemoteFileAttributes`
Set a given attribute value in this remote file attributes.

Specified by:
  `setAttribute` in interface `IRemoteFileAttributes`
Parameters:
  `key` - the key to use for the attribute. Must not be `null`.
  `value` - the value for the given key. Must not be `null`.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`